Shop MANITOWOC

Run Capacitor, Silver, 4 1/2 in H

  • Mfr # 000000028

  • Zoro # G8831487


product price: 
$
77.49
/ea

Key Features

For Use With
Condensing Unit
For Use With Mfr. Model Number
Compatible with Manufacturer Model Number
For Use with Mfr Model Number
Compatible Manufacturer Part Number
See all product information
Unlock 30-day payment terms
Unlock 30-day payment terms
Business customers can apply for Net 30—no fees, no interest, fast approval. Terms apply.
Create Account
Get 10% off your order
Get 10% off your order
Sign up for our email list and receive your promo code via email.

Specifications

Details

MFR #
000000028
Zoro #
G8831487
UPC #
-
Country of Origin
United States
Item
Run Capacitor
For Use With
Condensing Unit
For Use With Mfr. Model Number
Compatible with Manufacturer Model Number
For Use with Mfr Model Number
Compatible Manufacturer Part Number
Compatible with Mfr. Model No.
Compatible Manufacturer Model Number
Compatible with Manufacturer Model No.
Compatible Pump Manufacturer Part Number
Compatible Mfr. Model Number
Compatible Product Type
Condensing Unit
Color
Silver
Product Type
Run Capacitor
Material
Metal, Plastic

Description

Run Capacitor, Product Type Run Capacitor, Material Metal, Plastic, Color Silver, Compatible with Manufacturer Model Number 1375, B1000, B1300, B1800, CVD1375, CVD1475, CVD1476, CVD1875, CVD1885, CVDF2100, G0800, I1400, I1400M, I1400P, I1406, I1406M, I1406P, I1800, I1800M, I1800P, ICVD1895, ICVD2096, IT0300, J1000, J1300, J1800, JC1095, JC1395, JC1895, M0600, M0700, Q1300, Q1300P, Q1600, Q1800, Q1800M, Q1800P, RFC1285, RFC2085, RFC2385, S1400, S1600, S1600M, S1600P, S1800, S1800M, S1800P

Ratings & reviews